package com.smppw.analysis.client;

import com.smppw.analysis.application.dto.RateRiskIndicatorParams;
import com.smppw.analysis.application.service.PerformanceService;
import com.smppw.common.pojo.vo.ResultVo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("/v1/api/fund")
public class FundApi {
    private final PerformanceService performanceService;

    public FundApi(PerformanceService performanceService) {
        this.performanceService = performanceService;
    }

    @GetMapping("/indicators")
    public ResultVo<Map<String, Object>> indicator(RateRiskIndicatorParams params) {
        Map<String, Object> data = this.performanceService.calcIndicators(params);
        return ResultVo.ok(data);
    }
}
